export default {
  "layoutMode": "FLEX",
  "rootPanelItems": [
    {
      "panelItems": [
        {
          "panelItems": [
            {
              "caption": "标签页导航栏",
              "itemStyle": "DEFAULT",
              "itemType": "CTRLPOS",
              "layoutPos": {
                "layoutPos": "CENTER",
                "layout": "BORDER"
              },
              "showCaption": true,
              "id": "nav_tabs1"
            },
            {
              "rawItem": {
                "predefinedType": "NAV_POS",
                "id": "nav_pos1"
              },
              "caption": "导航区占位",
              "itemStyle": "DEFAULT",
              "itemType": "RAWITEM",
              "layoutPos": {
                "layoutPos": "CENTER",
                "layout": "BORDER"
              },
              "showCaption": true,
              "id": "nav_pos1"
            }
          ],
          "layout": {
            "layout": "BORDER"
          },
          "dataRegionType": "INHERIT",
          "caption": "面板容器",
          "contentWidth": 80,
          "itemStyle": "DEFAULT",
          "itemType": "CONTAINER",
          "layoutPos": {
            "layoutPos": "CENTER",
            "layout": "BORDER",
            "width": 80,
            "widthMode": "PERCENTAGE"
          },
          "showCaption": true,
          "id": "container_scroll_main1"
        },
        {
          "panelItems": [
            {
              "caption": "首页菜单",
              "itemStyle": "DEFAULT",
              "itemType": "CTRLPOS",
              "layoutPos": {
                "layoutPos": "CENTER",
                "layout": "BORDER"
              },
              "showCaption": true,
              "id": "appmenu1"
            }
          ],
          "layout": {
            "layout": "BORDER"
          },
          "dataRegionType": "INHERIT",
          "caption": "面板容器",
          "contentWidth": 20,
          "itemStyle": "DEFAULT",
          "itemType": "CONTAINER",
          "layoutPos": {
            "layoutPos": "WEST",
            "layout": "BORDER",
            "width": 20,
            "widthMode": "PERCENTAGE"
          },
          "width": 20,
          "showCaption": true,
          "id": "container_scroll_left1"
        },
        {
          "panelItems": [
            {
              "panelItems": [
                {
                  "panelItems": [
                    {
                      "allowEmpty": true,
                      "caption": "应用标题",
                      "itemStyle": "DEFAULT",
                      "itemType": "FIELD",
                      "layoutPos": {
                        "layout": "FLEX"
                      },
                      "id": "app_apptitle"
                    }
                  ],
                  "layout": {
                    "layout": "FLEX"
                  },
                  "dataRegionType": "INHERIT",
                  "caption": "容器",
                  "itemStyle": "DEFAULT",
                  "itemType": "CONTAINER",
                  "layoutPos": {
                    "layout": "FLEX"
                  },
                  "id": "container2"
                },
                {
                  "panelItems": [
                    {
                      "rawItem": {
                        "predefinedType": "AUTH_USERINFO",
                        "id": "auth_userinfo1"
                      },
                      "caption": "用户信息",
                      "itemStyle": "DEFAULT",
                      "itemType": "RAWITEM",
                      "layoutPos": {
                        "layout": "FLEX"
                      },
                      "showCaption": true,
                      "id": "auth_userinfo1"
                    }
                  ],
                  "layout": {
                    "layout": "FLEX"
                  },
                  "dataRegionType": "INHERIT",
                  "caption": "容器",
                  "itemStyle": "DEFAULT",
                  "itemType": "CONTAINER",
                  "layoutPos": {
                    "layout": "FLEX"
                  },
                  "id": "container3"
                }
              ],
              "layout": {
                "align": "space-between",
                "dir": "row",
                "layout": "FLEX"
              },
              "dataRegionType": "INHERIT",
              "caption": "容器",
              "itemStyle": "DEFAULT",
              "itemType": "CONTAINER",
              "layoutPos": {
                "layoutPos": "CENTER",
                "layout": "BORDER"
              },
              "id": "container1"
            }
          ],
          "layout": {
            "layout": "BORDER"
          },
          "dataRegionType": "INHERIT",
          "caption": "面板容器",
          "contentHeight": 80,
          "height": 80,
          "itemStyle": "DEFAULT",
          "itemType": "CONTAINER",
          "layoutPos": {
            "layoutPos": "NORTH",
            "height": 80,
            "heightMode": "PX",
            "layout": "BORDER"
          },
          "showCaption": true,
          "id": "container_scroll_header1"
        }
      ],
      "layout": {
        "layout": "BORDER"
      },
      "dataRegionType": "INHERIT",
      "caption": "滚动条容器",
      "itemStyle": "DEFAULT",
      "itemType": "CONTAINER",
      "layoutPos": {
        "layout": "FLEX"
      },
      "id": "container_scroll1"
    }
  ],
  "layoutPanel": true,
  "codeName": "IndexViewLayout",
  "controlType": "VIEWLAYOUTPANEL",
  "logicName": "首页视图布局(预置模型)",
  "controlParam": {},
  "name": "layoutpanel",
  "id": "indexviewlayout"
}
